using Autofac;
using e_suite.DependencyInjection;

namespace e_suite.Service.WorkflowProcessor;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<WorkflowProcessor>().As<IWorkflowProcessor>().InstancePerLifetimeScope();
        
    }
}